Subject: Re: [Deb-dev] [FEniCS-dev] fenics can't be installed on ubuntu 8.04

From: Ilmar Wilbers <[email-masked]>
Date: Sun, 27 Apr 2008 13:17:36 +0200

I assume you followed the instructions on packages.simula.no? I did the 
upgrade on Friday, and it worked for me (except some problems with 
openmpi, but a package that fixes this problem is already available in 
our repository). Try to apt-get purge the old packages. Like it says on 
the website are the packages build for Gutsty, but we are working on the 
Hardy versions.

Will send a copy of this email to [email-masked], where this 
question belongs.

ilmar

Chong Luo skrev:
> I recently migrated from debian testing to ubuntu 8.04. It was great: 
> fast and recognized all my hardware. However, fenics couldn't be 
> installed. Here is the error message:
>
> aharon@aharon-desktop:~$ sudo apt-get install fenics
> Reading package lists... Done
> Building dependency tree      
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
>
> Since you only requested a single operation it is extremely likely that
> the package is simply not installable and a bug report against
> that package should be filed.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
>   fenics: Depends: libdolfin but it is not going to be installed
>           Depends: libdolfin-dev but it is not going to be installed
>           Depends: syfi but it is not going to be installed
>           Depends: meshbuilder but it is not going to be installed
> E: Broken packages
>
> aharon@aharon-desktop:~$ sudo apt-get install libdolfin
> Reading package lists... Done
> Building dependency tree      
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
>
> Since you only requested a single operation it is extremely likely that
> the package is simply not installable and a bug report against
> that package should be filed.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
>   libdolfin: Depends: libsuitesparse but it is not installable
> E: Broken packages
>
> aharon@aharon-desktop:~$ apt-cache search --names-only libsuitesparse
> libsuitesparse-3.1.0 - collection of libraries for computations for 
> sparse matrices
> libsuitesparse-dbg - collection of libraries for computations for 
> sparse matrices
> libsuitesparse-dev - collection of libraries for computations for 
> sparse matrices
> libsuitesparse-doc - collection of libraries for computations for 
> sparse matrices
>
> It seemed that the package libsuitesparse was renamed to 
> libsuitesparse-3.1.0.
>
> Could you fix this when you have time? I wish I knew how to do it, but 
> I don't.
>
> Thank you.
>
> Best,
> Chong Luo
>
> ------------------------------------------------------------------------
> Be a better friend, newshound, and know-it-all with Yahoo! Mobile. Try 
> it now. 
> <http://us.rd.yahoo.com/evt=51733/*http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ%20> 
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> FEniCS-dev mailing list
> [email-masked]
> http://www.fenics.org/mailman/listinfo/fenics-dev
>

---

From: Chong Luo <[email-masked]>
Date: Sun, 4 May 2008 13:07:33 -0700 (PDT)

I found that now I can install fenics in Ubuntu 8.04 (Hardy) without any problem. 
My old code can be compiled and run without any problem, too. 
It was really convenient to install FEniCS using just a few "apt-get install". 
Thank you very much for your work!

Best,
Chong Luo

----- Original Message ----
From: Anders Logg <[email-masked]>
To: Johannes Ring <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, April 29, 2008 8:02:40 AM
Subject: Re: [Deb-dev] Fw: [FEniCS-dev] fenics can't be installed on ubuntu 8.04

On Tue, Apr 29, 2008 at 09:06:08AM +0200, Johannes Ring wrote:
> On Tue, April 29, 2008 Anders Logg wrote:
> > I suggest you wait a few days for the new release of DOLFIN (and some
> > other packages) which I guess will be followed by updated Ubuntu
> > packages shortly after the release.
> >
> 
> Yes, there will be new Ubuntu packages after the upcoming release.
> However, I have one question: should we build packages for both Gutsy and
> Hardy or should we focus solely on Hardy? The packages built on Hardy will
> probably not work on Gutsy and vice-versa.

I think it's ok to just do Hardy.

> Another problem on Hardy is with the MeshBuilder package. MeshBuilder is
> developed against OpenScenegraph v1.2, libOpenThreads v1.2, and Open
> Producer v1.2, while in Hardy these packages are upgraded to version 2.2
> (except Open Producer which has been removed). I have therefore not been
> able to build MeshBuilder on Hardy. I guess I simply have to remove
> MeshBuilder as a dependency for the fenics meta package. Any other
> suggestions?

Looks like we need to remove the dependency and try to find some
resources for updating MeshBuilder.

-- 
Anders
_______________________________________________
Deb-dev mailing list
[email-masked]
http://fenics.org/mailman/listinfo/deb-dev

      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ